Subject: [AVT] Re: I-D ACTION:draft-ietf-avt-rfc2793bis-00.txt

From: Colin Perkins <[email-masked]>
Date: Tue, 2 Dec 2003 16:30:57 +0000

--> [email-masked] writes:
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> 
> 	Title		: RTP Payload for Text Conversation
> 	Author(s)	: G. Hellstrom
> 	Filename	: draft-ietf-avt-rfc2793bis-00.txt
> 	Pages		: 19
> 	Date		: 2003-11-21
> 	
> This memo describes how to carry text conversation session contents
> in RTP packets. Text conversation session contents are specified in
> ITU-T Recommendation T.140 [1].
> 
> Text conversation is used alone or in connection to other
> conversational facilities such as video and voice, to form multimedia
> conversation services.
> 
> This RTP payload description contains an optional possibility to
> include redundant text from already transmitted packets in order to
> reduce the risk of text loss caused by packet loss. The redundancy
> coding follows RFC 2198.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-avt-rfc2793bis-00.txt

A few comments on this draft:

In Section 2, the draft needs to cite RFC 2119 as a numbered reference

In Section 3, why "SHOULD be used" rather than "MUST be used"?

Regarding Sections 3.4 and 3.5, I think it's important to distinguish
between the text/t140 format - which imposes restrictions on the type of
FEC which can be used - and the audio/t140 format which is largely agnostic
on the FEC/redundancy format used. Section 3.5 can be interpreted to imply
that the only form of FEC that can be used is RFC 2733, but should allow
the use of FEC with RFC 2733 as an example.

Section 3.7 needs to require that the clock frequency for audio/t140 SHOULD
match that of any audio send as part of the same RTP session.

As I mentioned in the meeting, there are corner cases where the T140 block
counter can't detect loss (for example consider, when switching from text
to audio, I can't distinguish between the last packet of text and first
packet of audio being lost, or the first two packets of audio being lost -
until I get the next text packet). Even if this is not considered aa issue,
the draft needs to highlight the scenario, and explain why it's not an
issue.

How is the RTP M bit used? Usual audio conventions?

In Section 5, the draft should note that jitter in the network may cause
packets to arrive faster than the signalled cps for short periods of time.
A receiver has to be aware that this might happen, and buffer to smooth
the arrival rate, even if it signals the cps.

-- 
Colin Perkins
http://csperkins.org/

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt